#ifndef __NETDEF_H__
#define __NETDEF_H__

#include <osport.h>

#include <netinet/in.h>		/* sockaddr_in, htons, in_addr */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#ifdef CONFIG_IPV6
#include <netinet/in6.h>        /* for IPV6 */
#define IPV6
#endif

#define ADDR_V4 0
#define ADDR_V6 1

struct node{
  int fd;
  int type:1;
  char *host;                   /* was gonna deprecate..now it seems useful */
#ifdef IPV6
  struct sockaddr_in6 in6;
#endif
  struct sockaddr_in in;
  int junk;
};

typedef struct node netnode;

extern netnode *get_node(char *, int);
extern int init_npconn();
extern int stall(int, int);
#endif
