#ifndef PROTO_SERIAL_H
#define PROTO_SERIAL_H

int nullaccept(netnode, netnode, int, netnode *);  /* return -1 */
int serialsend(netnode, netnode, int flags, char *data, int size);    /* send()    */
int serialrecv(netnode, netnode, int flags, char *data, int size);    /* recv()    */
int serialcon(netnode, netnode, int flags);                 /* connect() */
int serialdiscon(netnode, netnode);                         /* close()   */

/* we own the top 9 bits of the flags...let's set them up */
/* I realize that 9 bits isn't much, but
   it's PLENTY if we play our cards right */
#define BAUD1200  64
#define BAUD19200 128
#define BAUD38400 256
#define S2     512
#define A7     1024
#define EVEN   2048
#define ODD    4096
/* we do have 2 more, so let's support two more things */
#define BAUD300   8192

#define SUPER_MYSTERY 16384   /* this is the super secret mystery flag..
				 it does NOTHING */

/* defaults */
#define BAUD9600  0
#define S1     0
#define A8     0
#define NONE   0

#endif
